# SNESMonitorRatio

Monitors progress of the SNES solvers by printing the ratio of residual norm at each iteration to the previous.

### Synopsis

    #include "petscsnes.h"
    PetscErrorCode PETSCSNES_DLLEXPORT SNESMonitorRatio(SNES snes,PetscInt its,PetscReal fgnorm,void *dummy)

Collective on SNES

### Input Parameters

| snes | - the SNES context
| its | - iteration number
| fgnorm | - 2-norm of residual (or gradient)
| dummy | - context of monitor

### Keywords

SNES, nonlinear, monitor, norm

### See Also

SNESMonitorSet(), SNESMonitorSolution()

Level:intermediate
Location: src/snes/interface/snesut.c
Index of all SNES routines
Table of Contents for all manual pages
Index of all manual pages